package org.dromara.system.service;

import org.dromara.system.domain.CaseCommentSetting;
import org.dromara.system.domain.vo.CaseCommentSettingVo;
import org.dromara.system.domain.bo.CaseCommentSettingBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 病例点评配置Service接口
 *
 * @author wuzhigang
 * @date 2024-01-03
 */
public interface ICaseCommentSettingService {

    /**
     * 查询病例点评配置
     */
    CaseCommentSettingVo queryById(Long id);

    /**
     * 查询病例点评配置列表
     */
    TableDataInfo<CaseCommentSettingVo> queryPageList(CaseCommentSettingBo bo, PageQuery pageQuery);

    /**
     * 查询病例点评配置列表
     */
    List<CaseCommentSettingVo> queryList(CaseCommentSettingBo bo);

    /**
     * 新增病例点评配置
     */
    Boolean insertByBo(CaseCommentSettingBo bo);

    /**
     * 修改病例点评配置
     */
    Boolean updateByBo(CaseCommentSettingBo bo);

    /**
     * 校验并批量删除病例点评配置信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
